GDB (xrefs)

Classes | Typedefs | Functions
/tmp/gdb-8.1/gdb/frame-base.h File Reference

Go to the source code of this file.

## Classes
struct | frame_base

## Typedefs
typedef CORE_ADDR() | frame_this_base_ftype(struct frame_info *this_frame, void **this_base_cache)
typedef CORE_ADDR() | frame_this_locals_ftype(struct frame_info *this_frame, void **this_base_cache)
typedef CORE_ADDR() | frame_this_args_ftype(struct frame_info *this_frame, void **this_base_cache)
typedef const struct frame_base *() | frame_base_sniffer_ftype(struct frame_info *this_frame)

## Functions
void | frame_base_append_sniffer (struct gdbarch *gdbarch, frame_base_sniffer_ftype *sniffer)
void | frame_base_set_default (struct gdbarch *gdbarch, const struct frame_base *def)
const struct frame_base * | frame_base_find_by_frame (struct frame_info *this_frame)

## Typedef Documentation

## ◆ frame_base_sniffer_ftype

typedef const struct frame_base*() frame_base_sniffer_ftype(struct frame_info *this_frame)

Definition at line 71 of file frame-base.h.

## ◆ frame_this_args_ftype

typedef CORE_ADDR() frame_this_args_ftype(struct frame_info *this_frame, void **this_base_cache)

Definition at line 55 of file frame-base.h.

## ◆ frame_this_base_ftype

typedef CORE_ADDR() frame_this_base_ftype(struct frame_info *this_frame, void **this_base_cache)

Definition at line 45 of file frame-base.h.

## ◆ frame_this_locals_ftype

typedef CORE_ADDR() frame_this_locals_ftype(struct frame_info *this_frame, void **this_base_cache)

Definition at line 50 of file frame-base.h.

## Function Documentation

## ◆ frame_base_append_sniffer()

void frame_base_append_sniffer | ( | struct gdbarch * | gdbarch,
|  | frame_base_sniffer_ftype * | sniffer
| ) |  |

Definition at line 82 of file frame-base.c.

References frame_base_data, GDBARCH_OBSTACK_ZALLOC, and frame_base_table::tail.

Referenced by alpha_dwarf2_init_abi(), alpha_mdebug_init_abi(), microblaze_gdbarch_init(), mips_gdbarch_init(), mips_sde_init_abi(), rs6000_gdbarch_init(), s390_gdbarch_init(), and score_gdbarch_init().

## ◆ frame_base_find_by_frame()

const struct frame_base* frame_base_find_by_frame | ( | struct frame_info * | this_frame | ) |

Definition at line 105 of file frame-base.c.

References frame_base_table::default_base, frame_base_data, get_frame_arch(), frame_base_table::head, frame_base_table_entry::next, and frame_base_table_entry::sniffer.

Referenced by get_frame_args_address(), get_frame_base_address(), and get_frame_locals_address().

## ◆ frame_base_set_default()

void frame_base_set_default | ( | struct gdbarch * | gdbarch,
|  | const struct frame_base * | def
| ) |  |

Definition at line 95 of file frame-base.c.

References frame_base_table::default_base, and frame_base_data.

Referenced by aarch64_gdbarch_init(), alpha_gdbarch_init(), amd64_init_abi(), arc_gdbarch_init(), arm_gdbarch_init(), avr_gdbarch_init(), bfin_gdbarch_init(), BP_MANIPULATION(), cris_gdbarch_init(), frv_gdbarch_init(), ft32_gdbarch_init(), i386_gdbarch_init(), ia64_gdbarch_init(), iq2000_gdbarch_init(), lm32_gdbarch_init(), m32r_gdbarch_init(), m68hc11_gdbarch_init(), m68k_gdbarch_init(), m88k_gdbarch_init(), microblaze_gdbarch_init(), moxie_gdbarch_init(), mt_gdbarch_init(), nds32_gdbarch_init(), nios2_gdbarch_init(), s390_gdbarch_init(), sh64_gdbarch_init(), sh_gdbarch_init(), sparc32_gdbarch_init(), sparc64_init_abi(), spu_gdbarch_init(), tic6x_gdbarch_init(), tilegx_gdbarch_init(), v850_gdbarch_init(), vax_gdbarch_init(), xstormy16_gdbarch_init(), and xtensa_gdbarch_init().